[Git][noosfero/noosfero][master] script/development: also display API log

Antonio Terceiro gitlab at mg.gitlab.com
Mon Feb 22 15:46:00 BRT 2016


Antonio Terceiro pushed to branch master at Noosfero / noosfero


Commits:
a0b02c3d by Antonio Terceiro at 2016-02-22T15:45:29-03:00
script/development: also display API log

- - - - -


1 changed file:

- script/development


Changes:

=====================================
script/development
=====================================
--- a/script/development
+++ b/script/development
@@ -23,7 +23,7 @@ start() {
   trap stop INT TERM EXIT
   whenever --write-crontab --set 'environment=development'
   mkdir -p log
-  touch log/development.log
+  touch log/development.log log/development_api.log
   if [ -z "$RAILS_RELATIVE_URL_ROOT" ]; then
     unicorn_rails --config-file lib/noosfero/unicorn.rb --daemonize $@
   else
@@ -32,7 +32,7 @@ start() {
       --config-file lib/noosfero/unicorn.rb \
       --daemonize
   fi
-  tail -n 0 -f log/development.log || true
+  tail -n 0 -f log/development.log log/development_api.log || true
 }
 
 start $@



View it on GitLab: https://gitlab.com/noosfero/noosfero/commit/a0b02c3df507588949a5285b98679c0883cbf160
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://listas.softwarelivre.org/pipermail/noosfero-dev/attachments/20160222/cc0deec8/attachment.html>


More information about the Noosfero-dev mailing list